package com.zehong.system.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 企业基本信息 t_enterprise_info
 * 
 * @author zehong
 * @date 2021-06-30
 */
public class TEnterpriseInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long infoId;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String unitName;

    /** 组织机构代码 */
    @Excel(name = "组织机构代码")
    private String orgCode;

    /** 营业执照图片路径 */
    @Excel(name = "营业执照图片路径")
    private String orgFilePath;

    /** 文件名称 */
    @Excel(name = "文件名称")
    private String orgFileName;

    /** 生产经营地址 */
    @Excel(name = "生产经营地址")
    private String runAddress;

    /** 注册地址 */
    @Excel(name = "注册地址")
    private String regAddress;

    /** 监管分类大类 */
    @Excel(name = "监管分类大类")
    private String regulationBigType;

    /** 监管分类小类 */
    @Excel(name = "监管分类小类")
    private String regulationSmallType;

    /** 省份代码 */
    @Excel(name = "省份代码")
    private String provinceId;

    /** 省份名称 */
    @Excel(name = "省份名称")
    private String provinceName;

    /** 城市代码 */
    @Excel(name = "城市代码")
    private String cityId;

    /** 城市名称 */
    @Excel(name = "城市名称")
    private String cityName;

    /** 区县代码 */
    @Excel(name = "区县代码")
    private String countyId;

    /** 区县名称 */
    @Excel(name = "区县名称")
    private String countyName;

    /** 所属地区 */
    @Excel(name = "所属地区")
    private String areaName;

    /** 所属街道 */
    @Excel(name = "所属街道")
    private String streetName;

    /** 经度 */
    @Excel(name = "经度")
    private BigDecimal longitude;

    /** 纬度 */
    @Excel(name = "纬度")
    private BigDecimal latitude;

    /** 法定代表人 */
    @Excel(name = "法定代表人")
    private String legalPerson;

    /** 法定代表人手机 */
    @Excel(name = "法定代表人手机")
    private String legalPersonPhone;

    /** 法定代表人座机号码 */
    @Excel(name = "法定代表人座机号码")
    private String legalPersonTelephone;

    /** 法人邮箱 */
    @Excel(name = "法人邮箱")
    private String legalPersonEmail;

    /** 授权书 */
    @Excel(name = "授权书")
    private String authorizeFile;

    /** 授权书文件原名 */
    @Excel(name = "授权书文件原名")
    private String authorizeFileOriginalName;

    /** 厂区边界 */
    @Excel(name = "厂区边界")
    private String boundary;

    /** 是否启用，0启用，1禁用 */
    @Excel(name = "是否启用，0启用，1禁用")
    private String isEnable;

    /** 创建人id */
    @Excel(name = "创建人id")
    private String createUserId;

    /** 更新人id */
    @Excel(name = "更新人id")
    private String updateUserId;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    public void setInfoId(Long infoId) 
    {
        this.infoId = infoId;
    }

    public Long getInfoId() 
    {
        return infoId;
    }
    public void setUnitName(String unitName) 
    {
        this.unitName = unitName;
    }

    public String getUnitName() 
    {
        return unitName;
    }
    public void setOrgCode(String orgCode) 
    {
        this.orgCode = orgCode;
    }

    public String getOrgCode() 
    {
        return orgCode;
    }
    public void setOrgFilePath(String orgFilePath) 
    {
        this.orgFilePath = orgFilePath;
    }

    public String getOrgFilePath() 
    {
        return orgFilePath;
    }
    public void setOrgFileName(String orgFileName) 
    {
        this.orgFileName = orgFileName;
    }

    public String getOrgFileName() 
    {
        return orgFileName;
    }
    public void setRunAddress(String runAddress) 
    {
        this.runAddress = runAddress;
    }

    public String getRunAddress() 
    {
        return runAddress;
    }
    public void setRegAddress(String regAddress) 
    {
        this.regAddress = regAddress;
    }

    public String getRegAddress() 
    {
        return regAddress;
    }
    public void setRegulationBigType(String regulationBigType) 
    {
        this.regulationBigType = regulationBigType;
    }

    public String getRegulationBigType() 
    {
        return regulationBigType;
    }
    public void setRegulationSmallType(String regulationSmallType) 
    {
        this.regulationSmallType = regulationSmallType;
    }

    public String getRegulationSmallType() 
    {
        return regulationSmallType;
    }
    public void setProvinceId(String provinceId) 
    {
        this.provinceId = provinceId;
    }

    public String getProvinceId() 
    {
        return provinceId;
    }
    public void setProvinceName(String provinceName) 
    {
        this.provinceName = provinceName;
    }

    public String getProvinceName() 
    {
        return provinceName;
    }
    public void setCityId(String cityId) 
    {
        this.cityId = cityId;
    }

    public String getCityId() 
    {
        return cityId;
    }
    public void setCityName(String cityName) 
    {
        this.cityName = cityName;
    }

    public String getCityName() 
    {
        return cityName;
    }
    public void setCountyId(String countyId) 
    {
        this.countyId = countyId;
    }

    public String getCountyId() 
    {
        return countyId;
    }
    public void setCountyName(String countyName) 
    {
        this.countyName = countyName;
    }

    public String getCountyName() 
    {
        return countyName;
    }
    public void setAreaName(String areaName) 
    {
        this.areaName = areaName;
    }

    public String getAreaName() 
    {
        return areaName;
    }
    public void setStreetName(String streetName) 
    {
        this.streetName = streetName;
    }

    public String getStreetName() 
    {
        return streetName;
    }
    public void setLongitude(BigDecimal longitude) 
    {
        this.longitude = longitude;
    }

    public BigDecimal getLongitude() 
    {
        return longitude;
    }
    public void setLatitude(BigDecimal latitude) 
    {
        this.latitude = latitude;
    }

    public BigDecimal getLatitude() 
    {
        return latitude;
    }
    public void setLegalPerson(String legalPerson) 
    {
        this.legalPerson = legalPerson;
    }

    public String getLegalPerson() 
    {
        return legalPerson;
    }
    public void setLegalPersonPhone(String legalPersonPhone) 
    {
        this.legalPersonPhone = legalPersonPhone;
    }

    public String getLegalPersonPhone() 
    {
        return legalPersonPhone;
    }
    public void setLegalPersonTelephone(String legalPersonTelephone) 
    {
        this.legalPersonTelephone = legalPersonTelephone;
    }

    public String getLegalPersonTelephone() 
    {
        return legalPersonTelephone;
    }
    public void setLegalPersonEmail(String legalPersonEmail) 
    {
        this.legalPersonEmail = legalPersonEmail;
    }

    public String getLegalPersonEmail() 
    {
        return legalPersonEmail;
    }
    public void setAuthorizeFile(String authorizeFile) 
    {
        this.authorizeFile = authorizeFile;
    }

    public String getAuthorizeFile() 
    {
        return authorizeFile;
    }
    public void setAuthorizeFileOriginalName(String authorizeFileOriginalName) 
    {
        this.authorizeFileOriginalName = authorizeFileOriginalName;
    }

    public String getAuthorizeFileOriginalName() 
    {
        return authorizeFileOriginalName;
    }
    public void setBoundary(String boundary) 
    {
        this.boundary = boundary;
    }

    public String getBoundary() 
    {
        return boundary;
    }
    public void setIsEnable(String isEnable) 
    {
        this.isEnable = isEnable;
    }

    public String getIsEnable() 
    {
        return isEnable;
    }
    public void setCreateUserId(String createUserId) 
    {
        this.createUserId = createUserId;
    }

    public String getCreateUserId() 
    {
        return createUserId;
    }
    public void setUpdateUserId(String updateUserId) 
    {
        this.updateUserId = updateUserId;
    }

    public String getUpdateUserId() 
    {
        return updateUserId;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("infoId", getInfoId())
            .append("unitName", getUnitName())
            .append("orgCode", getOrgCode())
            .append("orgFilePath", getOrgFilePath())
            .append("orgFileName", getOrgFileName())
            .append("runAddress", getRunAddress())
            .append("regAddress", getRegAddress())
            .append("regulationBigType", getRegulationBigType())
            .append("regulationSmallType", getRegulationSmallType())
            .append("provinceId", getProvinceId())
            .append("provinceName", getProvinceName())
            .append("cityId", getCityId())
            .append("cityName", getCityName())
            .append("countyId", getCountyId())
            .append("countyName", getCountyName())
            .append("areaName", getAreaName())
            .append("streetName", getStreetName())
            .append("longitude", getLongitude())
            .append("latitude", getLatitude())
            .append("legalPerson", getLegalPerson())
            .append("legalPersonPhone", getLegalPersonPhone())
            .append("legalPersonTelephone", getLegalPersonTelephone())
            .append("legalPersonEmail", getLegalPersonEmail())
            .append("authorizeFile", getAuthorizeFile())
            .append("authorizeFileOriginalName", getAuthorizeFileOriginalName())
            .append("boundary", getBoundary())
            .append("isEnable", getIsEnable())
            .append("createUserId", getCreateUserId())
            .append("updateUserId", getUpdateUserId())
            .append("updateTime", getUpdateTime())
            .append("createTime", getCreateTime())
            .append("remarks", getRemarks())
            .toString();
    }
}
